Freedome installation is not compatible with Windows 1607 (Annuversary Update)

Scholar

Re: Freedome installation is not compatible with Windows 1607 (Annuversary Update)

yep, but not with the anniversary build of windows 10

 

way one: downgrade to latest build before, insstall freedome, update inside windows to anniversary as soon as offered, as update provided in waves

 

as i heard, before anniversary update installed and working freedome (driver tap v9) should keep working that way

 

clean install changes security handling of microsoft on windows 10, won t work anymore unless f secure gets their drivers verified/sigend or:

 

way two:  disable secure boot in your uefi on anniversary update, might must be kept constant this setting, so less security

 

 

 

Highlighted
Community Manager

Re: Freedome installation is not compatible with Windows 1607 (Annuversary Update)

Hello Everyone,

 

We have just published a new version of Freedome 1.6.3289 which solves the installation issue on Windows 10 Anniversary version. You may download the new version from our Freedome official location: https://freedome.f-secure.com/

 

A channel upgrade for the new version of Freedome will also happen shortly.

 

Has somebody helped you? Say thanks by giving likes. Has your issue been solved? Mark the post using "Accept As Solution" button to let others know.